This interface represents a _ViewDeclaration that is bound to a PathNode.

A `ViewConfig` is the runtime definition of a single view.

During a transition, `ViewConfig`s are created for each _ViewDeclaration defined on each "entering" StateObject. Then, the ViewService finds any matching `ui-view`(s) in the DOM, and supplies the ui-view with the `ViewConfig`. The `ui-view` then loads itself using the information found in the `ViewConfig`.

A `ViewConfig` if matched with a `ui-view` by finding all `ui-view`s which were created in the context named by the `uiViewContextAnchor`, and finding the `ui-view` or child `ui-view` that matches the `uiViewName` address.

### Hierarchy

- ViewConfig

## Index

### Properties

- $id
- loaded
- path
- viewDecl

### Methods

- load

## Properties

$id: number

- Defined in view/interface.ts:46

loaded: boolean

- Defined in view/interface.ts:53

path: PathNode[]

The node the ViewConfig is bound to

The node the ViewConfig is bound to

- Defined in view/interface.ts:51

viewDecl: _ViewDeclaration

The normalized view declaration from [[State.views]]

The normalized view declaration from [[State.views]]

- Defined in view/interface.ts:48

## Methods

- load(): Promise<ViewConfig>

- Fetches templates, runs dynamic (controller|template)Provider code, lazy loads Components, etc

- Fetches templates, runs dynamic (controller|template)Provider code, lazy loads Components, etc

  #### Returns Promise<ViewConfig>

  - Defined in view/interface.ts:56

Generated using TypeDoc